/**
 * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
 * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
 */

/**
 * The History HTML5 Component.
 *
 * @deprecated As of Mueller (7.2.x), replaced by senna.js
 * @module liferay-history-html5
 */
AUI.add('liferay-history-html5', function (A) {
  var AObject = A.Object;
  var History = Liferay.History;
  var Lang = A.Lang;
  var QueryString = A.QueryString;
  var isEmpty = AObject.isEmpty;
  var isValue = Lang.isValue;
  var WIN = A.config.win;
  var HISTORY = WIN.history;
  var LOCATION = WIN.location;
  A.mix(History.prototype, {
    _init: function _init(config) {
      var instance = this;
      var hash = LOCATION.hash;
      var locationHashValid = hash.indexOf(History.VALUE_SEPARATOR) != -1;

      if (locationHashValid) {
        HISTORY.replaceState(null, null, instance._updateURI());
      }

      config = config || {};

      if (!Object.prototype.hasOwnProperty.call(config, 'initialState')) {
        if (locationHashValid) {
          config.initialState = instance._parse(hash.substr(1));
        }

        History.superclass._init.call(instance, config);
      }
    },
    _updateURI: function _updateURI(state) {
      var instance = this;
      var uriData = [LOCATION.search.substr(1), LOCATION.hash.substr(1)];
      var hash = uriData[1];
      var query = uriData[0];
      var queryMap = {};

      if (query) {
        queryMap = instance._parse(query);
      }

      if (!state && hash) {
        var hashMap = instance._parse(hash);

        if (!isEmpty(hashMap)) {
          var protectedHashMap = {};
          state = hashMap;
          A.each(state, function (value1, key1) {
            instance.PROTECTED_HASH_KEYS.forEach(function (value2) {
              if (value2.test(key1)) {
                delete state[key1];
                protectedHashMap[key1] = value1;
              }
            });
          });
          uriData.pop();
          uriData.push('#', QueryString.stringify(protectedHashMap));
        }
      }

      A.mix(queryMap, state, true);
      AObject.each(queryMap, function (item, index) {
        if (!isValue(item)) {
          delete queryMap[index];
        }
      });
      uriData[0] = QueryString.stringify(queryMap, {
        eq: History.VALUE_SEPARATOR,
        sep: History.PAIR_SEPARATOR
      });
      uriData.unshift(LOCATION.protocol, '//', LOCATION.host, LOCATION.pathname, '?');
      return uriData.join('');
    },
    PROTECTED_HASH_KEYS: [/^liferay$/, /^tab$/, /^_\d+_tab$/],
    add: function add(state, options) {
      var instance = this;
      options = options || {};
      options.url = options.url || instance._updateURI(state);
      state.liferay = true;
      return History.superclass.add.call(instance, state, options);
    }
  }, true);
}, '', {
  requires: ['history-html5', 'liferay-history', 'querystring-stringify-simple']
});
//# sourceMappingURL=history_html5.js.map