Liferay.Loader.define("layout-content-page-editor-web@2.0.172/page_editor/app/components/undo/undoDeleteItem", ['module', 'exports', 'require', '../../actions/addItem', '../../services/LayoutService', '../../utils/getFragmentEntryLinkIdsFromItemId'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.undoAction = undoAction;
    exports.getDerivedStateForUndo = getDerivedStateForUndo;

    var _addItem = _interopRequireDefault(require("../../actions/addItem"));

    var _LayoutService = _interopRequireDefault(require("../../services/LayoutService"));

    var _getFragmentEntryLinkIdsFromItemId = _interopRequireDefault(require("../../utils/getFragmentEntryLinkIdsFromItemId"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function undoAction(_ref) {
      var action = _ref.action,
          store = _ref.store;
      var itemId = action.itemId,
          portletIds = action.portletIds;
      return function (dispatch) {
        return _LayoutService.default.unmarkItemForDeletion({
          itemId: itemId,
          onNetworkStatus: dispatch,
          segmentsExperienceId: store.segmentsExperienceId
        }).then(function (_ref2) {
          var layoutData = _ref2.layoutData;
          var fragmentEntryLinkIds = (0, _getFragmentEntryLinkIdsFromItemId.default)({
            itemId: itemId,
            layoutData: layoutData
          });
          dispatch((0, _addItem.default)({
            fragmentEntryLinkIds: fragmentEntryLinkIds,
            itemId: itemId,
            layoutData: layoutData,
            portletIds: portletIds
          }));
        });
      };
    }

    function getDerivedStateForUndo(_ref3) {
      var action = _ref3.action;
      return {
        itemId: action.itemId,
        portletIds: action.portletIds
      };
    }
    //# sourceMappingURL=undoDeleteItem.js.map
  }
});
//# sourceMappingURL=undoDeleteItem.js.map