Liferay.Loader.define("layout-content-page-editor-web@2.0.172/page_editor/app/components/undo/undoMoveItem", ['module', 'exports', 'require', '../../thunks/moveItem'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.undoAction = undoAction;
    exports.getDerivedStateForUndo = getDerivedStateForUndo;

    var _moveItem = _interopRequireDefault(require("../../thunks/moveItem"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function undoAction(_ref) {
      var action = _ref.action,
          store = _ref.store;
      var itemId = action.itemId,
          parentItemId = action.parentItemId,
          position = action.position;
      var segmentsExperienceId = store.segmentsExperienceId;
      return (0, _moveItem.default)({
        itemId: itemId,
        parentItemId: parentItemId,
        position: position,
        segmentsExperienceId: segmentsExperienceId
      });
    }

    function getDerivedStateForUndo(_ref2) {
      var action = _ref2.action,
          state = _ref2.state;
      var itemId = action.itemId;
      var layoutData = state.layoutData;
      var item = layoutData.items[itemId];
      var parent = layoutData.items[item.parentId];
      var position = parent.children.indexOf(itemId);
      return {
        itemId: action.itemId,
        parentItemId: parent.itemId,
        position: position
      };
    }
    //# sourceMappingURL=undoMoveItem.js.map
  }
});
//# sourceMappingURL=undoMoveItem.js.map