Liferay.Loader.define("layout-content-page-editor-web@2.0.172/page_editor/app/utils/canBeDuplicated", ['module', 'exports', 'require', '../components/layout-data-items/hasDropZoneChild', '../config/constants/layoutDataItemTypes'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = canBeDuplicated;

    var _hasDropZoneChild = _interopRequireDefault(require("../components/layout-data-items/hasDropZoneChild"));

    var _layoutDataItemTypes = require("../config/constants/layoutDataItemTypes");

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function canBeDuplicated(fragmentEntryLinks, item, layoutData, widgets) {
      switch (item.type) {
        case _layoutDataItemTypes.LAYOUT_DATA_ITEM_TYPES.collection:
          return true;

        case _layoutDataItemTypes.LAYOUT_DATA_ITEM_TYPES.container:
        case _layoutDataItemTypes.LAYOUT_DATA_ITEM_TYPES.row:
          return !(0, _hasDropZoneChild.default)(item, layoutData);

        case _layoutDataItemTypes.LAYOUT_DATA_ITEM_TYPES.fragment:
          {
            var fragmentEntryLink = fragmentEntryLinks[item.config.fragmentEntryLinkId];
            var portletId = fragmentEntryLink.editableValues.portletId;
            var widget = portletId && getWidget(widgets, portletId);
            return (!widget || widget.instanceable) && !(0, _hasDropZoneChild.default)(item, layoutData);
          }

        default:
          return false;
      }
    }

    function getWidget(widgets, portletId) {
      var widget = null;

      for (var i = 0; i < widgets.length; i++) {
        var _widgets$i = widgets[i],
            _widgets$i$categories = _widgets$i.categories,
            categories = _widgets$i$categories === void 0 ? [] : _widgets$i$categories,
            _widgets$i$portlets = _widgets$i.portlets,
            portlets = _widgets$i$portlets === void 0 ? [] : _widgets$i$portlets;
        var categoryPortlet = portlets.find(function (portlet) {
          return portlet.portletId === portletId;
        });
        var subCategoryPortlet = getWidget(categories, portletId);
        widget = subCategoryPortlet || categoryPortlet;

        if (widget) {
          return widget;
        }
      }

      return widget;
    }
    //# sourceMappingURL=canBeDuplicated.js.map
  }
});
//# sourceMappingURL=canBeDuplicated.js.map